import { TypeInfo, ASTNode } from "graphql";
export declare class TypeAndOperationPathInfo extends TypeInfo {
    operationPathParts: string[];
    _introspectionDepth: number;
    enter(node: ASTNode): void;
    leave(node: ASTNode): void;
    enterOperationPath(node: ASTNode): void;
    leaveOperationPath(node: ASTNode): void;
    getOperationPath(): string;
    isIntrospection(): boolean;
}
